js.ho: js.h

vec.ho: vec.h
vec.ho: ./js.h

argparser.ho: argparser.h
argparser.ho: ./vec.h
argparser.ho: ./js.h

fget.ho: fget.h
fget.ho: ./js.h

nget.ho: nget.h
nget.ho: ./js.h

filefmt.ho: filefmt.h
filefmt.ho: ./js.h

r2.ho: r2.h

r3.ho: r3.h

r4.ho: r4.h

r4x4.ho: r4x4.h
r4x4.ho: ./r4.h

rn.ho: rn.h

rmxn.ho: rmxn.h
rmxn.ho: ./rn.h

gauss_elim.ho: gauss_elim.h
gauss_elim.ho: ./js.h

frb_types.ho: frb_types.h
frb_types.ho: ./r3.h
frb_types.ho: ./js.h
frb_types.ho: ./vec.h

frb_proc.ho: frb_proc.h

frb_window.ho: frb_window.h
frb_window.ho: ./frb_types.h

frb_segment.ho: frb_segment.h
frb_segment.ho: ./frb_types.h
frb_segment.ho: ./js.h

frb_match.ho: frb_match.h
frb_match.ho: ./frb_types.h
frb_match.ho: ./frb_segment.h

frb_candidate.ho: frb_candidate.h
frb_candidate.ho: ./frb_segment.h
frb_candidate.ho: ./frb_match.h
frb_candidate.ho: ./frb_signal.h
frb_candidate.ho: ./frb_types.h

frb_signal.ho: frb_signal.h
frb_signal.ho: ./frb_segment.h
frb_signal.ho: ./frb_types.h
frb_signal.ho: ./r2.h

frb_curve.ho: frb_curve.h
frb_curve.ho: ./r3.h
frb_curve.ho: ./r4x4.h
frb_curve.ho: ./frb_signal.h
frb_curve.ho: ./frb_segment.h
frb_curve.ho: ./frb_window.h
frb_curve.ho: ./frb_types.h

frb_geo.ho: frb_geo.h
frb_geo.ho: ./r3.h
frb_geo.ho: ./r4x4.h
frb_geo.ho: ./frb_types.h

frb_fourier.ho: frb_fourier.h
frb_fourier.ho: ./frb_types.h

frb_analyze.ho: frb_analyze.h
frb_analyze.ho: ./frb_types.h
frb_analyze.ho: ./frb_signal.h
frb_analyze.ho: ./frb_segment.h
frb_analyze.ho: ./frb_candidate.h
frb_analyze.ho: ./frb_curve.h
frb_analyze.ho: ./frb_match.h
frb_analyze.ho: ./argparser.h
frb_analyze.ho: ./js.h
frb_analyze.ho: ./r3.h

js.o: js.c
js.o: ./js.h

vec.o: vec.c
vec.o: ./vec.h
vec.o: ./js.h

argparser.o: argparser.c
argparser.o: ./argparser.h
argparser.o: ./vec.h
argparser.o: ./js.h

fget.o: fget.c
fget.o: ./fget.h
fget.o: ./js.h

nget.o: nget.c
nget.o: ./nget.h
nget.o: ./fget.h
nget.o: ./js.h

filefmt.o: filefmt.c
filefmt.o: ./filefmt.h
filefmt.o: ./fget.h
filefmt.o: ./js.h
filefmt.o: ./vec.h

r2.o: r2.c
r2.o: ./r2.h
r2.o: ./js.h
r2.o: ./rn.h

r3.o: r3.c
r3.o: ./r3.h
r3.o: ./js.h
r3.o: ./rn.h

r4.o: r4.c
r4.o: ./r4.h
r4.o: ./js.h
r4.o: ./rn.h

r4x4.o: r4x4.c
r4x4.o: ./r4x4.h
r4x4.o: ./r4.h
r4x4.o: ./rmxn.h

rn.o: rn.c
rn.o: ./rn.h
rn.o: ./js.h
rn.o: ./gauss_elim.h

rmxn.o: rmxn.c
rmxn.o: ./rmxn.h
rmxn.o: ./rn.h
rmxn.o: ./js.h
rmxn.o: ./gauss_elim.h

gauss_elim.o: gauss_elim.c
gauss_elim.o: ./gauss_elim.h
gauss_elim.o: ./js.h

frb_window.o: frb_window.c
frb_window.o: ./frb_window.h
frb_window.o: ./frb_types.h
frb_window.o: ./frb_proc.h
frb_window.o: ./nget.h
frb_window.o: ./fget.h
frb_window.o: ./filefmt.h

frb_candidate.o: frb_candidate.c
frb_candidate.o: ./frb_types.h
frb_candidate.o: ./frb_proc.h
frb_candidate.o: ./frb_match.h
frb_candidate.o: ./frb_segment.h
frb_candidate.o: ./frb_candidate.h
frb_candidate.o: ./filefmt.h
frb_candidate.o: ./fget.h
frb_candidate.o: ./nget.h

frb_signal.o: frb_signal.c
frb_signal.o: ./frb_types.h
frb_signal.o: ./frb_proc.h
frb_signal.o: ./frb_match.h
frb_signal.o: ./frb_segment.h
frb_signal.o: ./frb_signal.h
frb_signal.o: ./nget.h
frb_signal.o: ./fget.h
frb_signal.o: ./filefmt.h

frb_match.o: frb_match.c
frb_match.o: ./frb_match.h
frb_match.o: ./frb_types.h
frb_match.o: ./frb_segment.h
frb_match.o: ./frb_proc.h
frb_match.o: ./fget.h
frb_match.o: ./nget.h
frb_match.o: ./filefmt.h

frb_geo.o: frb_geo.c
frb_geo.o: ./frb_geo.h
frb_geo.o: ./frb_types.h
frb_geo.o: ./r3.h
frb_geo.o: ./r4x4.h

frb_curve.o: frb_curve.c
frb_curve.o: ./frb_curve.h
frb_curve.o: ./frb_match.h
frb_curve.o: ./frb_proc.h
frb_curve.o: ./frb_segment.h
frb_curve.o: ./frb_signal.h
frb_curve.o: ./frb_fourier.h
frb_curve.o: ./frb_window.h
frb_curve.o: ./frb_geo.h
frb_curve.o: ./frb_types.h
frb_curve.o: ./nget.h
frb_curve.o: ./fget.h
frb_curve.o: ./filefmt.h
frb_curve.o: ./r3.h
frb_curve.o: ./r4.h
frb_curve.o: ./r4x4.h

frb_segment.o: frb_segment.c
frb_segment.o: ./frb_segment.h
frb_segment.o: ./frb_types.h
frb_segment.o: ./frb_proc.h
frb_segment.o: ./fget.h
frb_segment.o: ./nget.h
frb_segment.o: ./filefmt.h
frb_segment.o: ./js.h

frb_types.o: frb_types.c
frb_types.o: ./frb_types.h
frb_types.o: ./vec.h

frb_proc.o: frb_proc.c
frb_proc.o: ./frb_types.h
frb_proc.o: ./frb_proc.h
frb_proc.o: ./js.h
frb_proc.o: ./vec.h

frb_fourier.o: frb_fourier.c
frb_fourier.o: ./frb_types.h
frb_fourier.o: ./frb_proc.h
frb_fourier.o: ./frb_fourier.h

