/* See nget.h */
/* Last edited on 2005-01-16 15:06:06 by stolfi */
/* Copyright  2005 Jorge Stolfi, UNICAMP. See note at end of file. */

#include <nget.h>
#include <fget.h>
#include <js.h>
#include <stdio.h>
#include <stdlib.h>

void nget_name_eq(FILE *f, char *name)
  { fget_skip_spaces(f);
    fget_match(f, name); 
    fget_skip_spaces(f);
    fget_match(f, "=");
  }

char nget_char(FILE *f, char *name)
  { nget_name_eq(f, name); 
    return fget_char(f);
  }

bool nget_bool(FILE *f, char *name)
  { nget_name_eq(f, name); 
    return fget_bool(f);
  }

int nget_int(FILE *f, char *name)
  { nget_name_eq(f, name);
    return fget_int(f);
  }

double nget_double(FILE *f, char *name)
  { nget_name_eq(f, name); 
    return fget_double(f);
  }

char *nget_string(FILE *f, char *name)
  { nget_name_eq(f, name); 
    return fget_string(f);
  }
/* COPYRIGHT AND AUTHORSHIP NOTICE

  Copyright  2005 Jorge Stolfi, Universidade Estadual de Campinas (UNICAMP).
  Created by Jorge Stolfi in 1992--2005.
  
  This source file can be freely distributed, used, and modified,
  provided that this copyright and authorship notice is preserved in
  all copies, and that any modified versions of this file are clearly
  marked as such.
  
  This software has NO WARRANTY of correctness or applicability for
  any purpose. Neither the author nor his employers shall be held
  responsible for any losses or damages that may result from its use.

  END OF NOTICE */
